/* page-top.component.scss */
.page-top {
  position: sticky;
  top: 0; /* Fija el navbar en la parte superior de la pantalla */
  z-index: 1000; /* Asegura que el navbar esté en la parte superior de otros elementos */
  padding: 20px;
  background-color: rgba(255, 255, 255, 0);
  margin-bottom: 20px; /* Agrega un margen inferior para dejar espacio para el contenido debajo del navbar */
}

.logo {
   width: 100px;
   height: auto;
  }
  
  .menu {
    display: block;
  }
  
  .menu ul {
    list-style: none;
    display: flex;
    gap: 40px;
    padding: 0; /* Agregué padding 0 para quitar el espacio predeterminado del <ul> */
  }
  
  .menu li {
    margin-right: 20px; /* Reduje el espacio entre los elementos del menú */
  }
  
  .menu a {
    text-decoration: none;
    color: #333;
    font-weight: 500;
    transition: color 0.3s;
  }
  
  .menu a:hover {
    color: #007bff;
  }
  
  .separator {
    margin: 0 10px;
    color: #ccc;
  }
  
  .switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 20px;
  }
  
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.4s;
    border-radius: 34px;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
  }
  
  input:checked + .slider {
    background-color: #007bff;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #007bff;
  }
  
  input:checked + .slider:before {
    transform: translateX(20px);
  }

  /* Estilos para el botón de hamburguesa */
  .hamburger-menu {
    display: none; /* Ocultar el botón en pantallas grandes */
  }
  
  /* Estilos para mostrar el botón solo en dispositivos móviles */
  @media (max-width: 767px) {

    .hamburger-menu {
      display: block;
      cursor: pointer;
    }
  
    /* Estilos para el menú desplegable */
    .menu {
      display: none; /* Ocultar el menú en dispositivos móviles */
    }
  
    .menu.show {
      display: block; /* Mostrar el menú cuando está abierto */
    }
  }

  @media (max-width: 1023px) {

    .menu li {
      margin-right: 0;
      margin-left: 0;
    }

  }
 